Bug 126239 - Kudzu redetects Realtek chipset based nic cards over and over.
Kudzu redetects Realtek chipset based nic cards over and over.
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kudzu (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-17 17:43 EDT by Alexandre Costa
Modified: 2014-03-16 22:46 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-31 15:24:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This is the hwconf from one of the machines. (7.09 KB, text/plain)
2004-06-29 07:43 EDT, Alexandre Costa
no flags Details
This is the "kuzdu -p" output from one of the machines. (7.02 KB, text/plain)
2004-06-29 07:44 EDT, Alexandre Costa
no flags Details
a lspci of the first boot (780 bytes, text/plain)
2004-07-14 08:40 EDT, Alexandre Costa
no flags Details
a lspci -vvx of the first boot (6.88 KB, text/plain)
2004-07-14 08:40 EDT, Alexandre Costa
no flags Details
the dmesg of first boot (dmesg never changed across reboots, except cpu speed) (5.76 KB, text/plain)
2004-07-14 08:42 EDT, Alexandre Costa
no flags Details
hwconf of first boot (origional from install) (2.95 KB, text/plain)
2004-07-14 08:44 EDT, Alexandre Costa
no flags Details
The kudzu -p from the first boot. (2.85 KB, text/plain)
2004-07-14 09:03 EDT, Alexandre Costa
no flags Details
the hwconf after 2nd boot (with changes from kudzu) (2.91 KB, text/plain)
2004-07-14 09:04 EDT, Alexandre Costa
no flags Details
the hwconf after 3rd boot (with changes from kudzu) (2.91 KB, text/plain)
2004-07-14 09:04 EDT, Alexandre Costa
no flags Details

  None (edit)
Description Alexandre Costa 2004-06-17 17:43:37 EDT
From Bugzilla Helper:

Description of problem:
When using Realtek Chipset NIC's, RHEL kudzu seems to repeatedly try 
to change the card from a [Realtek|RTL-8139/8139C/8139C+] to a 
[Realtek|RTL-8139/8139C/8139C+] and sometimes to a [Realtek Cardbus] 
whitout any real hardware changes. Its like this; I reboot, it says 
one card has been removed, and another one discovered, over and over 
again, every time I reboot (although I think it only happened during 
cold reboots). First I thought it has the machine, but it already 
happened on 7 different machines, one of it, being my personal box, 
at home and having a Intel pro with no problems whatsoever. If at 
kudzu, I select the [do nothing] option, the machine works fine and 
so does the NIC. If I change it, I'll have to reconfigure the network 
card on eth1 (before it was on eth0), then if I reboot, the card 
again is rediscovered as another card, and reconfigured on eth0 
again. To solve this i simply disable kudzu on boot, and the machines 
work just fine. I believe its kudzu fault, but im not sure though.
Hope this description can help you pin-point the problem.

Version-Release number of selected component (if applicable):
kudzu-1.1.22-1.1

How reproducible:
Sometimes

Steps to Reproduce:
1.Cold Reboot
2.(maybe) Warm reboot.
3.
    

Additional info:
Comment 1 Bill Nottingham 2004-06-29 00:48:18 EDT
Can you attach your /etc/sysconfig/hwconf, and the output of 'kudzu
-p' from single-user mode?
Comment 2 Alexandre Costa 2004-06-29 07:43:17 EDT
Created attachment 101505 [details]
This is the hwconf from one of the machines.
Comment 3 Alexandre Costa 2004-06-29 07:44:09 EDT
Created attachment 101506 [details]
This is the "kuzdu -p" output from one of the machines.
Comment 4 Alexandre Costa 2004-06-29 07:52:22 EDT
btw, you will notice that in my hwconf file, both nics are as eth0. I 
disabled kudzu and configures the cards modules myself to avoid that 
problem. The second time, kudzu puts everything right, and if i 
reboot, there it goes again in finding something similar to the 1st 
hwconf or just switching eth0 with eth1.

This problem also happens in single nic machines, and in that case he 
sometimes alternates the driver, like i said before.
Comment 5 Bill Nottingham 2004-06-29 14:35:50 EDT
Is the kudzu -p output run as root?
Comment 6 Alexandre Costa 2004-06-29 19:09:35 EDT
Yes, not even by su. I've logged myself as root.
Comment 7 Alexandre Costa 2004-07-14 08:38:30 EDT
Ok, some more info.

System installs with a single nic realtek, and boots up. kudzu says
that the a nic is gone and a new one detected (the same phisical nic).
kudzu reconfigures the new nic as eth1 (single nic system), reboot,
kudzu says again that a nic is gone and a new one detected, and
configures the nic again. After that and a huge ammount of reboots,
kudzu never retetected the nic again.

Now for the outputs.
Comment 8 Alexandre Costa 2004-07-14 08:40:24 EDT
Created attachment 101894 [details]
a lspci of the first boot
Comment 9 Alexandre Costa 2004-07-14 08:40:58 EDT
Created attachment 101895 [details]
a lspci -vvx of the first boot
Comment 10 Alexandre Costa 2004-07-14 08:42:53 EDT
Created attachment 101897 [details]
the dmesg of first boot (dmesg never changed across reboots, except cpu speed)
Comment 11 Alexandre Costa 2004-07-14 08:44:33 EDT
Created attachment 101898 [details]
hwconf of first boot (origional from install)

on first boot i havent accepted no changes from kudzu, so it is the original
hwconf from instalation.
Comment 12 Alexandre Costa 2004-07-14 09:03:19 EDT
Created attachment 101899 [details]
The kudzu -p from the first boot.
Comment 13 Alexandre Costa 2004-07-14 09:04:04 EDT
Created attachment 101900 [details]
the hwconf after 2nd boot (with changes from kudzu)
Comment 14 Alexandre Costa 2004-07-14 09:04:51 EDT
Created attachment 101901 [details]
the hwconf after 3rd boot (with changes from kudzu)
Comment 15 Alexandre Costa 2004-07-14 09:06:44 EDT
one thing strange, on first reboot , if i run kudzu manually once, and
made changes, if i run it again, it wouldn't find any changes, but
after a reboot it finds.
Comment 16 Alexandre Costa 2004-07-17 20:27:36 EDT
some more info.. 

I was browsing thru /usr/share/hwdata, and found that this 2 cards, 
which sometimes i've seen to change between thenselfs, are one after 
another.

extracted from /usr/share/hwdata/pcitable :
0x10ec  0x8138  "8139too"       "Realtek|RT8139 (B/C) Cardbus Fast 
Ethernet Adap
ter"
0x10ec  0x8139  "8139too"       "Realtek|RTL-8139/8139C/8139C+"

extracted from /usr/share/hwdata :
        8138  RT8139 (B/C) Cardbus Fast Ethernet Adapter
                10ec 8138  RT8139 (B/C) Fast Ethernet Adapter
        8139  RTL-8139/8139C/8139C+

Dont know if that has something to do about it, but here it is,
Comment 17 Alexandre Costa 2004-07-21 17:36:39 EDT
Well.. Had the same problem, but with another card. This time it was a
"Via Technologies|VT6102 [Rhine II]" embebbed nic card.

And went browsing for a while, and found this 2 entries in bugzilla...

1) https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=108576
2) https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=108178

that may be related.
Comment 18 Bill Nottingham 2004-08-27 18:34:14 EDT
Please try kudzu-1.1.22.5-1, available at:

http://people.redhat.com/notting/kudzu/
Comment 19 Alexandre Costa 2004-09-12 17:39:50 EDT
Will try it this week. I went on vacations, so sorry about the delay.
Comment 20 Robert Locke 2004-09-13 14:18:01 EDT
This might be similar, but I have found that with both RHEL3 and
RHEL3U3, network installing to machines that have the D-Link card with
this chipset caused Kudzu to try to "remove" and "add" the card
configuration at first boot.  A "Keep Configuration" and "Ignore" kept
the card working as eth0 for me.  I downloaded your kudzu-1.1.22.5-1,
placed it in the RedHat/RPMS directory, rebuilt the hdlist and
subsequent installs or reinstalls do not exhibit the card re-detection
at first boot, if this helps....
Comment 21 Alexandre Costa 2005-01-31 15:24:55 EST
Sorry for the late reply. For me the new package also worked. if it is
ok with everyone, i will put it as ERRATA.

Note You need to log in before you can comment on or make changes to this bug.